org.codehaus.groovy.runtime.m12n

## Class MetaInfExtensionModule

- java.lang.Object
- - org.codehaus.groovy.runtime.m12n.ExtensionModule
  - - org.codehaus.groovy.runtime.m12n.SimpleExtensionModule
    - - org.codehaus.groovy.runtime.m12n.MetaInfExtensionModule

    public class MetaInfExtensionModule
    extends SimpleExtensionModule

A `SimpleExtensionModule` implementation which reads extension classes metadata from META-INF.

Since:
  2.0.0
Author:
  Cedric Champeau

### Field Summary

Fields
`static java.lang.String` `MODULE_INSTANCE_CLASSES_KEY`
`static java.lang.String` `MODULE_STATIC_CLASSES_KEY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.List<java.lang.Class>` `getInstanceMethodsExtensionClasses()`
`java.util.List<java.lang.Class>` `getStaticMethodsExtensionClasses()`
`static MetaInfExtensionModule` `newModule(java.util.Properties properties, java.lang.ClassLoader loader)`

### Methods inherited from class org.codehaus.groovy.runtime.m12n.SimpleExtensionModule

`getMetaMethods`

### Methods inherited from class org.codehaus.groovy.runtime.m12n.ExtensionModule

`getName, getVersion, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MODULE_INSTANCE_CLASSES_KEY

    public static final java.lang.String MODULE_INSTANCE_CLASSES_KEY

See Also:
  Constant Field Values

#### MODULE_STATIC_CLASSES_KEY

    public static final java.lang.String MODULE_STATIC_CLASSES_KEY

See Also:
  Constant Field Values

### Method Detail

#### getInstanceMethodsExtensionClasses

    public java.util.List<java.lang.Class> getInstanceMethodsExtensionClasses()

Specified by:
  `getInstanceMethodsExtensionClasses` in class `SimpleExtensionModule`
Returns:
  the list of classes defining new instance methods.

#### getStaticMethodsExtensionClasses

    public java.util.List<java.lang.Class> getStaticMethodsExtensionClasses()

Specified by:
  `getStaticMethodsExtensionClasses` in class `SimpleExtensionModule`
Returns:
  the list of classes defining new static methods.

#### newModule

    public static MetaInfExtensionModule newModule(java.util.Properties properties,
                                                   java.lang.ClassLoader loader)